
package fr.dawan.projet2soap.client;

import java.util.List;
import jakarta.jws.WebMethod;
import jakarta.jws.WebParam;
import jakarta.jws.WebResult;
import jakarta.jws.WebService;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.ws.Action;
import jakarta.xml.ws.RequestWrapper;
import jakarta.xml.ws.ResponseWrapper;


/**
 * This class was generated by the XML-WS Tools.
 * XML-WS Tools 4.0.1
 * Generated source version: 3.0
 * 
 */
@WebService(name = "Calculatrice", targetNamespace = "http://ws.projet2soap.dawan.fr/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface Calculatrice {


    /**
     * 
     * @param a
     * @param b
     * @return
     *     returns int
     */
    @WebMethod
    @WebResult(name = "resultat", targetNamespace = "")
    @RequestWrapper(localName = "additionner", targetNamespace = "http://ws.projet2soap.dawan.fr/", className = "fr.dawan.projet2soap.client.Additionner")
    @ResponseWrapper(localName = "additionnerResponse", targetNamespace = "http://ws.projet2soap.dawan.fr/", className = "fr.dawan.projet2soap.client.AdditionnerResponse")
    @Action(input = "http://ws.projet2soap.dawan.fr/Calculatrice/additionnerRequest", output = "http://ws.projet2soap.dawan.fr/Calculatrice/additionnerResponse")
    public int additionner(
        @WebParam(name = "a", targetNamespace = "")
        int a,
        @WebParam(name = "b", targetNamespace = "")
        int b);

    /**
     * 
     * @return
     *     returns java.util.List<fr.dawan.projet2soap.client.Produit>
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "listeProduit", targetNamespace = "http://ws.projet2soap.dawan.fr/", className = "fr.dawan.projet2soap.client.ListeProduit")
    @ResponseWrapper(localName = "listeProduitResponse", targetNamespace = "http://ws.projet2soap.dawan.fr/", className = "fr.dawan.projet2soap.client.ListeProduitResponse")
    @Action(input = "http://ws.projet2soap.dawan.fr/Calculatrice/listeProduitRequest", output = "http://ws.projet2soap.dawan.fr/Calculatrice/listeProduitResponse")
    public List<Produit> listeProduit();

}
